--- make-config.sh.orig	2009-06-29 06:37:05.000000000 +0900
+++ make-config.sh	2009-09-19 16:12:54.000000000 +0900
@@ -128,6 +128,11 @@ if [ "$sbcl_os" = "sunos" ] && [ `isainf
     guessed_sbcl_arch=x86-64
 fi
 
+# Under Mac OSX, uname -m returns "i386" even if CPU is 64bit capable.
+if [ "$sbcl_os" = "darwin" ] && [ `sysctl -n hw.cpu64bit_capable` = "1" ]; then
+    guessed_sbcl_arch=x86-64
+fi
+
 echo //setting up CPU-architecture-dependent information
 sbcl_arch=${SBCL_ARCH:-$guessed_sbcl_arch}
 echo sbcl_arch=\"$sbcl_arch\"
